com.amazonaws.services.machinelearning.model

## Class RedshiftMetadata

- java.lang.Object
- - com.amazonaws.services.machinelearning.model.RedshiftMetadata

All Implemented Interfaces:
  Serializable, Cloneable

    public class RedshiftMetadata
    extends Object
    implements Serializable, Cloneable

Describes the `DataSource` details specific to Amazon Redshift.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RedshiftMetadata()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RedshiftMetadata` `clone()`
`boolean` `equals(Object obj)`
`String` `getDatabaseUserName()`
`RedshiftDatabase` `getRedshiftDatabase()`
`String` `getSelectSqlQuery()` The SQL query that is specified during CreateDataSourceFromRedshift.
`int` `hashCode()`
`void` `setDatabaseUserName(String databaseUserName)`
`void` `setRedshiftDatabase(RedshiftDatabase redshiftDatabase)`
`void` `setSelectSqlQuery(String selectSqlQuery)` The SQL query that is specified during CreateDataSourceFromRedshift.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RedshiftMetadata` `withDatabaseUserName(String databaseUserName)`
`RedshiftMetadata` `withRedshiftDatabase(RedshiftDatabase redshiftDatabase)`
`RedshiftMetadata` `withSelectSqlQuery(String selectSqlQuery)` The SQL query that is specified during CreateDataSourceFromRedshift.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RedshiftMetadata

    public RedshiftMetadata()

### Method Detail

#### setRedshiftDatabase

    public void setRedshiftDatabase(RedshiftDatabase redshiftDatabase)

Parameters:
  `redshiftDatabase` -

#### getRedshiftDatabase

    public RedshiftDatabase getRedshiftDatabase()

Returns:

#### withRedshiftDatabase

    public RedshiftMetadata withRedshiftDatabase(RedshiftDatabase redshiftDatabase)

Parameters:
  `redshiftDatabase` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDatabaseUserName

    public void setDatabaseUserName(String databaseUserName)

Parameters:
  `databaseUserName` -

#### getDatabaseUserName

    public String getDatabaseUserName()

Returns:

#### withDatabaseUserName

    public RedshiftMetadata withDatabaseUserName(String databaseUserName)

Parameters:
  `databaseUserName` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setSelectSqlQuery

    public void setSelectSqlQuery(String selectSqlQuery)

The SQL query that is specified during CreateDataSourceFromRedshift. Returns only if `Verbose` is true in GetDataSourceInput.

Parameters:
  `selectSqlQuery` - The SQL query that is specified during CreateDataSourceFromRedshift. Returns only if `Verbose` is true in GetDataSourceInput.

#### getSelectSqlQuery

    public String getSelectSqlQuery()

The SQL query that is specified during CreateDataSourceFromRedshift. Returns only if `Verbose` is true in GetDataSourceInput.

Returns:
  The SQL query that is specified during CreateDataSourceFromRedshift. Returns only if `Verbose` is true in GetDataSourceInput.

#### withSelectSqlQuery

    public RedshiftMetadata withSelectSqlQuery(String selectSqlQuery)

The SQL query that is specified during CreateDataSourceFromRedshift. Returns only if `Verbose` is true in GetDataSourceInput.

Parameters:
  `selectSqlQuery` - The SQL query that is specified during CreateDataSourceFromRedshift. Returns only if `Verbose` is true in GetDataSourceInput.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RedshiftMetadata clone()

Overrides:
  `clone` in class `Object`